Bug 538160 - Large RHN certificates cannot be used with RHN Content Providers
Large RHN certificates cannot be used with RHN Content Providers
Status: CLOSED NOTABUG
Product: RHQ Project
Classification: Other
Component: Content (Show other bugs)
unspecified
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Todd Sanders
Corey Welton
: SubBug
Depends On:
Blocks: rhq_spearhead jon-sprint8-bugs
  Show dependency treegraph
 
Reported: 2009-11-17 14:30 EST by Steve Salevan
Modified: 2010-05-13 12:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-21 10:52:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steve Salevan 2009-11-17 14:30:58 EST
Description of problem:
If a user attempts to create an RHN Content Provider with a large RHN certificate (measured in the sheer volume of text present), the creation of the CP will fail, with the following error:

For property "Certificate", the values length must be at most {0}.

How reproducible:
Always

Steps to Reproduce:
1. Create an RHN CP, "Mike Rutherford", and populate its certificate field with a very large RHN certificate
  
Actual results:
Creation fails with above error

Expected results:
Creation succeeds

Additional info:
Comment 1 wes hayutin 2010-02-07 10:08:29 EST
Hey Todd,
This bug is currently blocking some automated regression tests. Can we please have someone take a look at it? Thank you very much!!
Comment 2 wes hayutin 2010-02-16 11:59:17 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 3 wes hayutin 2010-02-16 12:04:16 EST
making sure we're not missing any bugs in rhq_triage
Comment 4 Corey Welton 2010-04-21 10:52:57 EDT
QA Closing.

Note You need to log in before you can comment on or make changes to this bug.